Skip to main content

GraphQL

Meister1 uses a GraphQL API. GraphQL is a query language that allows the client to determine which data it needs.

Here we will briefly show you what an HTTP request in GraphQL looks like. We will also look at some typical use cases.

Endpoint: https://api.meister1.com/graphql

caution

An Authorization header with the accessToken must be used for the queries (see Authorization)

General

Basically, every request looks the same. It is a POST request. The schema that is expected as the response is defined in the body.

Request

query {
viewer {
id
email
}
}

cURL

curl 'https://api.meister1.com/graphql' -H 'Content-Type: application/json' \
--data-binary '{"query":"query {\n viewer {\n id\n email\n }\n}"}' --compressed

Response

{
"data": {
"viewer": {
"id": "VSFlcgox",
"email": "user@meister1.de"
}
}
}

Query builder

Switch between Read (queries) and Write (mutations) above. Select one or more queries or mutations — they are merged and the GraphQL operation is generated live. For mutations, the possible values (e.g. the lead status) are also shown.

Available queries
Selected queries

No queries selected yet — only the base query is shown.

GraphQL Query
query {
  viewer {
    id
    email
  }
}